.TH Scilin G "April 2001" "Aladin Group" "Scilin Help"
.so ../sci.an
.SH NAME
scilin - available functions in a Scilab tool-box: Scilin, for iterative sparse systems.
.SH DESCRIPTION
PRECOND module:
.LP
ilut - Incomplete lu factorization with dual truncation strategy
.LP
ilutp - ilut with column  pivoting
.LP
ilud - ilu with single dropping + diagonal compensation (~milut)
.LP
iludp - ilud with column pivoting
.LP
iluk - level-k ilu
.LP
ilu0 - simple ilu(0) preconditioning
.LP
milu0 - milu(0) preconditioning
.LP
SOLVERS module:
.LP
bicg - BiConjugate Gradient Method
.LP
bicgstab - BiConjugate Gradient Stabilized Method
.LP
pcg - Conjugate Gradient Method
.LP
cgs - Conjugate Gradient Squared Method
.LP
gmres - Generalized Minimal RESidual Method
.LP
jacobi - Jacobi Method
.LP
qmr - Quasi Minimal Residual Method
.LP
sor - Successive Over-Relaxation Method
.LP
MATIO module:
.LP
mmread - reads contents of Matrix Market file into sparse or full matrix
.LP
mmwrite - writes sparse or dense matrix to Matrix Market formatted file
.LP
mminfo - extract size and storage information from a Matrix Market file
.LP
gen57pt - generates 5-point and 7-point matrices
.fi
.SH AUTHOR
Aladin Group - 25 April 2001
