#include "stack-c.h"
#include "conv.h"
#include "ilut.h"
#include "DoubleMFQR.h"
#include "Dmat2sci.h"

extern int intspqr(char *fname)
{ 
  int mA,nA,*ia,pierr,mierr=1,nierr=1;
  double *alu;
  SciSparse A,*R;
  DMatrix *D;
    
  CheckRhs(1,1);
  CheckLhs(1,1);
  if (VarType(1)==5){
    GetRhsVar(1,"s",&mA,&nA,&A);    
    if (mA!=nA){
      Scierror(501,"%s: input matrix must be square \r\n",fname);
    }
  } else {
    Scierror(501,"%s: input matrix must be sparse \r\n",fname);
  }

  ia= Sci2spk(&A);
  D=DoubleMFQR(ia,A.icol,A.R,A.n);
  free(ia);
  
  R=Dmat2sci(D);

  CreateVarFromPtr(2,"s",&R->m,&R->n,R);
  LhsVar(1) =2;
  return(0);
}
