.TH lehmer G "March 2000" "Scilab Group" "Scilab Function"
.so ../sci.an
.SH NAME
lehmer - a symmetric positive definite N-by-N matrix
.SH CALLING SEQUENCE
.nf
[A] = lehmer(n)
.fi
.SH PARAMETERS
.TP
n
: size of the matrix A
.TP
A
: matrix
.SH DESCRIPTION
\fV[A] = lehmer(n)\fR is the symmetric positive definite N-by-N matrix with A(i,j) = i/j for j>=i. A is totally nonnegative.  INV(A) is tridiagonal, and explicit formulas are known for its entries. N <= COND(A) <= 4*N*N. 
.SH EXAMPLE
n=10;
[A] = lehmer(n)
.fi
.SH AUTHOR
Source given by the Univ. of Tennessee and Oak Ridge National Laboratory. Adaptations for Scilab done by Aladin team - 20 March 2001.
.SH SEE ALSO
